void main()
{
    auto array = new int[10];
    array.length += 1000;           // Расширяется
    assert(array.length == 1010);
    array.length /= 10;             // Су­жа­ет­ся
    assert(array.length == 101);
}
